local addonName, global = ...;

local frame = CreateFrame("Frame", "OSBCP_Minimap_Menu", UIParent, "UIMenuTemplate")
frame:SetFrameStrata("HIGH");
frame:ClearAllPoints();
frame:SetPoint("TOPRIGHT", "OSBCP_Easy_Healer_Minimap_Button", "TOPRIGHT", -30, -10);
frame:SetWidth(97);
frame:SetHeight(70);
frame:RegisterEvent("VARIABLES_LOADED");
frame:SetScript("OnEvent", function(self, event)
    --print("0000000 VARIABLES LOADED 0000000 ")
    --print( event)
    --print( arg1)
    if (event == "VARIABLES_LOADED")
    then
        --print("***** VARIABLES LOADED *******")

        local initialText = "Lock boxes";
        if (SAVED_SETTINGS_MISC.BOXES_LOCKED) then
            initialText = "Unlock boxes"
        end
        OSBCP_Minimap_MenuButton2:SetText(initialText);

    end
end)
HideUIPanel(frame);

OSBCP_Minimap_MenuButton1:SetText("Settings");
OSBCP_Minimap_MenuButton1.func = function()

    if (UnitAffectingCombat("player"))
    then
        ChatFrame1:AddMessage("You cannot do this while in combat.");
    else
        ShowUIPanel(OSBCP_Easy_Healer_Settings_Menu);
    end

end

OSBCP_Minimap_MenuButton2:SetText("#loading#");
OSBCP_Minimap_MenuButton2.func = function(self)

    if (SAVED_SETTINGS_MISC.BOXES_LOCKED)
    then
        SAVED_SETTINGS_MISC.BOXES_LOCKED = false;
        ChatFrame1:AddMessage("Boxes are now unlocked.");
        self:SetText("Lock boxes");
    else
        SAVED_SETTINGS_MISC.BOXES_LOCKED = true;
        ChatFrame1:AddMessage("Boxes are now locked.");
        self:SetText("Unlock boxes");
    end

end

OSBCP_Minimap_MenuButton3:SetText("Close menu");
OSBCP_Minimap_MenuButton3.func = function()
    HideUIPanel(OSBCP_Minimap_Menu);
end

--
-- Move the menu items into right positions
--
OSBCP_Minimap_MenuButton1:ClearAllPoints();
OSBCP_Minimap_MenuButton1:SetPoint("TOPLEFT", "OSBCP_Minimap_Menu", "TOPLEFT", 6, -6);
OSBCP_Minimap_MenuButton2:ClearAllPoints();
OSBCP_Minimap_MenuButton2:SetPoint("TOP", "OSBCP_Minimap_MenuButton1", "BOTTOM", 0, 0);
OSBCP_Minimap_MenuButton3:ClearAllPoints();
OSBCP_Minimap_MenuButton3:SetPoint("TOP", "OSBCP_Minimap_MenuButton2", "BOTTOM", 0, -10);
