local addonName, global = ...;

global.utils = {};

global.utils.appendButton = function(parentFrame, label,  width, posAnchor, posX, posY, onClick)

    local button = CreateFrame("Button", nil, parentFrame, "UIPanelButtonTemplate");
    button:SetSize(width, 28);
    button:SetText(label);
    button:SetPoint(posAnchor, posX, posY);
    button:SetScript("OnClick", onClick)

end

global.utils.createTextLabel = function(parentFrame, label, posAnchor, posX, posY)

    local elemTextTitle = parentFrame:CreateFontString(nil, "OVERLAY", "GameFontNormal")
    elemTextTitle:ClearAllPoints();
    elemTextTitle:SetPoint(posAnchor, parentFrame, posX, posY);
    elemTextTitle:SetText(label);

end

global.utils.createCheckbox = function(parentFrame, posX, posY, initialChecked, label, onClick)
    --local function createCheckbox(parent, posX, posY, label)

    local elemCheckbox = CreateFrame("CheckButton", nil, parentFrame, "UICheckButtonTemplate");
    elemCheckbox:ClearAllPoints();
    elemCheckbox:SetPoint("TOPLEFT", posX, posY);
    --elemCheckbox:SetText("CheckBox Name");
    elemCheckbox:SetChecked(initialChecked);
    elemCheckbox:SetScript("OnClick", onClick);
    --elemCheckbox:SetScript("OnClick", function(arg1, arg2)
    --    local checked = elemCheckbox:GetChecked();
    --    SAVED_SETTINGS_BOX_VISIBILITY[settingID] = checked;
    --    if (checked) then
    --        print(unitLabel .. " is now showing.")
    --    else
    --        print(unitLabel .. " is now hidden.")
    --    end
    --end);
    --elemCheckbox.tooltip = unitLabel;

    -- Create the text
    global.utils.createTextLabel(parentFrame, label, "TOPLEFT", posX + 35, posY - 10)
    --local elemText = parentFrame:CreateFontString(nil, "OVERLAY", "GameFontNormal")
    --elemText:ClearAllPoints();
    --elemText:SetPoint("TOPLEFT", posX + 35, posY-10);
    --elemText:SetText(label);

end



